AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI
InvalidOrUnknownCommandException Class
InvalidOrUnknownCommandException Constructor
InvalidOrUnknownCommandException Methods
InvalidOrUnknownCommandException Properties
InvalidOrUnknownCommandException Events

| InvalidOrUnknownCommandException Class

An InvalidOrUnknownCommandException is thrown when the reader receives a reply with status code 510.
Inheritance Hierarchy
System
Object
System
Exception
AsterNET.FastAGI
AGIException
AsterNET.FastAGI
InvalidOrUnknownCommandException

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class InvalidOrUnknownCommandException : AGIException

    Public Class InvalidOrUnknownCommandException
    	Inherits AGIException

    public ref class InvalidOrUnknownCommandException : public AGIException

    type InvalidOrUnknownCommandException =
        class
            inherit AGIException
        end

The InvalidOrUnknownCommandException type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| InvalidOrUnknownCommandException | Creates a new InvalidOrUnknownCommandException.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetBaseException | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions. (Inherited from Exception.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetObjectData | When overridden in a derived class, sets the SerializationInfo with information about the exception. (Inherited from Exception.)
| GetType | Gets the runtime type of the current instance. (Inherited from Exception.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | Creates and returns a string representation of the current exception. (Inherited from Exception.)

Top
Properties

| Name | Description
--- | --- | ---
| Data | Gets a collection of key/value pairs that provide additional user-defined information about the exception. (Inherited from Exception.)
| HelpLink | Gets or sets a link to the help file associated with this exception. (Inherited from Exception.)
| HResult | Gets or sets HRESULT, a coded numerical value that is assigned to a specific exception. (Inherited from Exception.)
| InnerException | Gets the Exception instance that caused the current exception. (Inherited from Exception.)
| Message | Gets a message that describes the current exception. (Inherited from Exception.)
| Source | Gets or sets the name of the application or the object that causes the error. (Inherited from Exception.)
| StackTrace | Gets a string representation of the immediate frames on the call stack. (Inherited from Exception.)
| TargetSite | Gets the method that throws the current exception. (Inherited from Exception.)

Top
Events

| Name | Description
--- | --- | ---
| SerializeObjectState | Occurs when an exception is serialized to create an exception state object that contains serialized data about the exception. (Inherited from Exception.)

Top
See Also

#### Reference

AsterNET.FastAGI Namespace